Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Create a new materialized segment. The materialization can then be attached to rules.
curl --request POST \
--url https://flags.eu.confidence.dev/v1/materializedSegments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"materializedSegment": {
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
},
"materializedSegmentId": "<string>"
}
'{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The id of the materialization which would be the the last segment of the resource name such as 'materializedSegments/{materialized_segment_id}'. If none is specified a server generated one will be used.
Create a new materialized segment.
MaterializedSegment: The properties of the materialization to be created.
Show child attributes
The id of the materialization which would be the the last segment of the resource name such as 'materializedSegments/{materialized_segment_id}'. If none is specified a server generated one will be used.
Returns a MaterializedSegment.
A slice of the entity population that has is materialized as individual entity identifiers stored in a database. Useful for segmenting a large list of entities that cannot otherwise be easily targeted through evaluation context.
A human-friendly name for the segment.
Time when the segment was first created.
Time when the segment was last updated.
Reference to the identity that created this segment.
Reference to the identity that last updated this segment.
The resource name of the materialized segment.
For example:
materializedSegment/0smva5nxuhv4yts6paxt
General labels for this resource.
Show child attributes
The owner of the resource. If not set will default to the creator.
Was this page helpful?
curl --request POST \
--url https://flags.eu.confidence.dev/v1/materializedSegments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"materializedSegment": {
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
},
"materializedSegmentId": "<string>"
}
'{
"displayName": "<string>",
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"name": "<string>",
"labels": [
{}
],
"owner": "<string>"
}